API referenceAccount and billing
Downgrade or cancel a plan
Move to a lower plan, or to Free to cancel. Upgrades go through billing_checkout_create.
Authorization
bearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/billing/plan" \ -H "Content-Type: application/json" \ -d '{ "plan": "free" }'{ "object": "billing", "mode": "off", "test_mode": true, "plan": "free", "status": "active", "source": "none", "period_end": "2019-08-24T14:15:22Z", "balance": { "object": "balance", "balance_micro": 0, "held_micro": 0, "available_micro": 0, "frozen": true }, "simulated_micro": 0, "auto_recharge": { "enabled": true, "threshold_micro": 0, "amount_micro": 0 }, "invoices": [ { "object": "invoice", "number": "string", "source": "none", "kind": "topup", "status": "paid", "amount_micro": 0, "plan": "free", "description": "string", "ref": "string", "created_at": "2019-08-24T14:15:22Z" } ]}Get billing overview GET
Billing mode, plan and subscription status, balance (with any simulated test credit), auto-recharge and receipts.
Simulate a billing event POST
Test and simulated modes only: payment failure, dispute (freezes the org), refund, renewal, downgrade, cancel, auto-recharge, grant expiry, or reset simulated state.